## iceweasel 6.0.2

=== debian/changelog ===
iceweasel (6.0.2-1) unstable; urgency=medium

  * New upstream release to strengthen the libnss3 response to the
    DigiNotargate.

 -- Mike Hommey <glandium@debian.org>  Tue, 06 Sep 2011 08:32:55 +0200

iceweasel (6.0-4) unstable; urgency=low

  * js/src/jsstrinlines.h: Fix-up bz#589735 backport. Should fix ia64 FTBFS.

 -- Mike Hommey <glandium@debian.org>  Sat, 27 Aug 2011 09:07:06 +0200

iceweasel (6.0-3) unstable; urgency=low

  * debian/libmozjs-dev.install: Add more missing headers to libmozjs-dev.
  * debian/rules, debian/xulrunner-GRE_VERSION.install.in: Install
    plugin-container on all architectures. Closes: #639289.
  * debian/extra-stuff/reportbug-helper-script: Avoid listing all debian
    packages in the reportbug helper when no addons are installed.
  * debian/duckduckgo.xml, debian/iceweasel.install: Add DuckDuckGo search
    plugin. Closes: #616115.

  * js/src/jsgcinlines.h, js/src/jsnum.cpp, js/src/jsstr.cpp, js/src/jsstr.h,
    js/src/jsstrinlines.h, js/src/jstracer.cpp, js/src/jstracer.h,
    js/src/tracejit/Writer.cpp: Allow static JS strings to be turned off;
    turn off on ia64. bz#589735.
  * memory/jemalloc/jemalloc.c: Allocate memory with an address with high 17
    bits clear on ia64. bz#589735. This should finally make Iceweasel
    actually work on ia64.
  * js/src/jsval.h, js/src/jsvalue.h: Fix jsval_layout on 64-bit big-endian
    platforms. bz#674522. Closes: #638623.

 -- Mike Hommey <glandium@debian.org>  Fri, 26 Aug 2011 09:48:52 +0200

iceweasel (6.0-2) unstable; urgency=low

  * debian/libmozjs-dev.install: Install mfbt/* files under
    /usr/include/mozjs/mozilla. Closes: #637984.

 -- Mike Hommey <glandium@debian.org>  Sat, 20 Aug 2011 09:13:06 +0200

iceweasel (6.0-1) unstable; urgency=low

  * New upstream release.
  * Fixes for mfsa2011-29, including:
    CVE-2011-2989, CVE-2011-2991, CVE-2011-2992, CVE-2011-2985,
    CVE-2011-2993, CVE-2011-2988, CVE-2011-2987, CVE-2011-0084,
    CVE-2011-2990, CVE-2011-2986.
  * debian/control*:
    - Bump build dependency on nspr, nss and sqlite.
    - Build-depend on libjpeg-dev instead of libjpeg62-dev. Closes: #636452.
    - Remove xprint suggest. Closes: #626794.
  * debian/rules:
    - Official branding moved to browser/branding/official.
    - Don't set -std=gnu++0x ourselves, upstream build system now does it for
      us.
    - Remove libmozjs.so* from /usr/lib/xulrunner-6.0.
    - Link npapi_getinfo against libpthread for GNU/Hurd.
  * debian/installer/package-manifest.xulrunner,
    debian/xulrunner-dev.install.in: Install xpt.py from sdk instead of xpt_*
    from /usr/lib/xulrunner-6.0.
  * debian/xulrunner-GRE_VERSION.install.in,
    debian/xulrunner-GRE_VERSION.links.in: Add hyphenation dictionary. This is
    temporary until we use libreoffice.org's.
  * debian/iceweasel.desktop: Add german translation for the Iceweasel menu
    item. Thanks Ronny Standtke. Closes: #629924.

  * layout/build/Makefile.in, toolkit/library/Makefile.in: Unbreak build for
    GNU/Hurd and GNU/kFreeBSD (since they don't have libossaudio). bz#673460.
  * ipc/chromium/src/base/debug_util_posix.cc,
    ipc/chromium/src/base/third_party/nspr/prcpucfg.h,
    ipc/chromium/src/build/build_config.h: Allow ipc code to build on GNU/Hurd.
    Closes: #636750.
  * configure*: Revert "Allow to build against SQLite 3.7.3".

 -- Mike Hommey <glandium@debian.org>  Mon, 15 Aug 2011 18:16:55 +0200

iceweasel (5.0-6) unstable; urgency=low

  * debian/rules: ia64 doesn't support stabs debugging information, so use a
    different workaround: use -O2 instead of -Os.

 -- Mike Hommey <glandium@debian.org>  Sat, 30 Jul 2011 10:31:55 +0200

iceweasel (5.0-5) unstable; urgency=low

  * debian/rules:
    - Don't add -g to CFLAGS, the upstream build system does it.
    - Use -gstabs on ia64, to work around ICE.
  * xpcom/base/nsDebugImpl.cpp: Refresh with the patch from bz#643779 as
    landed updstream. Closes: #635957.

 -- Mike Hommey <glandium@debian.org>  Sat, 30 Jul 2011 08:48:19 +0200

iceweasel (5.0-4) unstable; urgency=low

  * debian/rules: Don't create a versioned shlibs for libmozjs.
  * debian/xulrunner-dev.preinst.in: Add a preinst script to remove
    /usr/lib/xulrunner-devel-GRE_VERSION/sdk/bin before upgrading from versions
    <= 5.0-2. Closes: #634053.
  * debian/control*:
    - Use linux-any wildcard for libasound2-dev and libiw-dev Build-Depends
      instead of using a list of negated architectures. Closes: #634629.
    - Adjust some package descriptions. Closes: #633597.
    - Bump Standards-Version to 3.9.2.0. No changes required.
  * debian/extra-stuff/addonsInfo.js: Fix the addons info dumper to use the new
    Addons Manager API. Closes: #603412.
  * debian/xulrunner-GRE_VERSION.postinst.in,
    debian/xulrunner-GRE_VERSION.prerm.in: Remove the xulrunner-stub
    alternative. The reason why it was good to have in /usr/bin doesn't exist
    anymore.
  * debian/xulrunner-GRE_VERSION.postinst.in: Don't cleanup {compreg,xpti}.dat.
    They've not been generated for a while.

  * js/src/xpconnect/shell/xpcshell.cpp: Fixup for bz#671804.
  * configure*: Revert "Put the crmf library before the NSS libraries".

 -- Mike Hommey <glandium@debian.org>  Fri, 22 Jul 2011 15:48:09 +0200

iceweasel (5.0-3) unstable; urgency=low

  * Upload to unstable.
  * debian/control*: Fix build dependency on libsqlite3-dev.
  * debian/rules:
    - Replace sdk/bin files also in /usr/lib/xulrunner-5.0 with symbolic links.
    - Use dist/include to find npapi.h when building npapi_getinfo.
  * debian/control*, debian/rules: Use ${binary:Version} for iceweasel
    dependency on xulrunner, now that they have the same version.
  * debian/test.mk:
    - Set the application directory for xpcshell tests.
    - Set plugin path for all tests.
  * debian/control*: Add a build dependency on ttf-dejima-mincho to avoid
    reftest failure due to the lack of japanese font.
  * debian/xulrunner-GRE_VERSION.lintian-overrides.in: Add a temporary lintian

