## iceweasel 7.0.1

=== debian/changelog ===
iceweasel (7.0.1-4) unstable; urgency=low

  * xpcom/base/nscore.h, xpcom/glue/nsID.h: Don't force nsID to align to
    64-bit boundary ; instead, use 32-bits comparisons in nsID::Equals,
    effectively reverting bz#164580. Closes: #645371.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Oct 2011 09:44:32 +0200

iceweasel (7.0.1-3) unstable; urgency=low

  * debian/branding/configure.sh: Set MOZ_APP_DISPLAYNAME in Iceweasel
    branding. Closes: #644801.
  * debian/xulrunner.mozconfig, debian/xulrunner-GRE_VERSION.install.in,
    debian/rules: Enable GIO instead of gnome-vfs and GConf.
    Partially fixes #410671.

  * ipc/chromium/src/build/build_config.h: Update supported architectures
    for IPC, as landed upstream. Closes: #644939.
  * xpcom/base/nscore.h, xpcom/glue/nsID.h: Force nsID to align to 64-bit
    boundary. bz#660335. Closes: #642762.

 -- Mike Hommey <glandium@debian.org>  Fri, 14 Oct 2011 17:22:42 +0200

iceweasel (7.0.1-2) unstable; urgency=low

  * debian/repack.py: Improved in several ways.
  * debian/rules: Install vm/* headers under /usr/include/mozjs.
    Closes: #644086.

 -- Mike Hommey <glandium@debian.org>  Tue, 04 Oct 2011 08:32:20 +0200

iceweasel (7.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Mike Hommey <glandium@debian.org>  Fri, 30 Sep 2011 08:32:09 +0200

iceweasel (7.0-1) unstable; urgency=low

  * New upstream release.
  * Fixes various security issues, which CVE ids are not published yet.

  * debian/branding/Makefile.in, debian/iceweasel.install: Remove document.png,
    as it is not used anymore.
  * debian/branding/content/Makefile.in, debian/branding/content/jar.mn: Stop
    jarring up a copy of mozicon128.png that aboutHome no longer uses.
  * debian/rules: Don't remove /usr/lib/xulrunner-7.0/libmozjs.so*, they're not
    installed there anymore.
  * debian/iceweasel.mozconfig: Add --disable-libjpeg-turbo to work around
    configure checking for yasm on APP build.

  * js/src/Makefile.in: Only add -DENABLE_JIT=1 to CXXFLAGS if any of
    trace/method/regex jit is enabled. bz#670719. Fixes FTBFSes on
    powerpc and s390.
  * js/src/jsregexpinlines.h, js/src/yarr/OSAllocatorPosix.cpp,
    js/src/yarr/wtfbridge.h: build fix for ENABLE_YARR_JIT=0. bz#665819.
  * xpcom/glue/pldhash.c: Work around recent ARM GNU ld bug with
    -fdata-sections and variables names starting with "stub" leading to crash.
    bz#675618. Also avoids elfhack crash during build.
  * js/src/assembler/wtf/Platform.h: Don't enable YARR JIT on MIPS, as the
    implementation is missing. bz#680642.
  * js/src/yarr/BumpPointerAllocator.h: Use a pool size of 16kB on ia64 for
    bump pointer allocator. bz#680917.

 -- Mike Hommey <glandium@debian.org>  Wed, 28 Sep 2011 08:51:02 +0200
