=== debian/control ===
--- 
+++ 
@@ -60,7 +60,7 @@
          fontconfig,
          procps,
          debianutils (>= 1.16),
-         xulrunner-7.0 (>= ${binary:Version})
+         xulrunner-8.0 (>= ${binary:Version})
 Suggests: ttf-lyx | latex-xft-fonts,
           xfonts-mathml,
           ttf-mathematica4.1,
@@ -78,21 +78,21 @@
 Section: debug
 Depends: ${misc:Depends},
          iceweasel (= ${binary:Version}),
-         xulrunner-7.0-dbg
+         xulrunner-8.0-dbg
 Description: debugging symbols for iceweasel
  Iceweasel is Firefox, rebranded. It is a powerful, extensible web browser
  with support for modern web application technologies.
  .
  This package contains the debugging symbols for iceweasel.
 
-Package: xulrunner-7.0
+Package: xulrunner-8.0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libnspr4-0d (>> 4.7.1-1),
          libnss3-1d (>> 3.12.0~rc3-1),
-         libmozjs7d (= ${binary:Version}),
+         libmozjs8d (= ${binary:Version}),
          libcairo2 (>= 1.8.8)
 Suggests: ${gnome:Depends}, libgnomeui-0, libcanberra0
 Conflicts: j2re1.4,
@@ -116,7 +116,7 @@
  This package also contains the Gecko engine library (libxul)
 Homepage: http://developer.mozilla.org/en/docs/XULRunner
 
-Package: libmozjs7d
+Package: libmozjs8d
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -131,7 +131,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
-         libmozjs7d (= ${binary:Version}),
+         libmozjs8d (= ${binary:Version}),
          libnspr4-dev
 Description: Development files for the Mozilla SpiderMonkey JavaScript library
  This library provides the embeddable JavaScript/ECMAScript engine from
@@ -142,11 +142,11 @@
  Mozilla SpiderMonkey JavaScript library.
 Homepage: http://www.mozilla.org/js/
 
-Package: libmozjs7d-dbg
+Package: libmozjs8d-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: libmozjs7d (= ${binary:Version}),
+Depends: libmozjs8d (= ${binary:Version}),
          ${misc:Depends}
 Description: Development files for the Mozilla SpiderMonkey JavaScript library
  This library provides the embeddable JavaScript/ECMAScript engine from
@@ -184,7 +184,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         xulrunner-7.0 (>= ${binary:Version}),
+         xulrunner-8.0 (>= ${binary:Version}),
          libnss3-dev,
          libnspr4-dev,
          libmozjs-dev (>= ${binary:Version})
@@ -204,12 +204,12 @@
  same form as the one you may find on mozilla.org in /usr/lib/xulrunner/sdk.
 Homepage: http://wiki.mozilla.org/XUL:Lib_XUL
 
-Package: xulrunner-7.0-dbg
+Package: xulrunner-8.0-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: xulrunner-7.0 (= ${binary:Version}),
-         libmozjs7d-dbg (= ${binary:Version}),
+Depends: xulrunner-8.0 (= ${binary:Version}),
+         libmozjs8d-dbg (= ${binary:Version}),
          ${misc:Depends}
 Description: Debugging symbols for the Gecko engine library
  This library provides an  API for XUL applications and Gecko embedders.
@@ -220,6 +220,6 @@
  support, XBL, XUL, SVG, XSLT, XML Extras (XMLHttpRequest and DOMParser),
  Web Services (SOAP), accessibility support, IPC services, gtkmozembed, etc.
  .
- This package provides the debugging symbols for the xulrunner-7.0
+ This package provides the debugging symbols for the xulrunner-8.0
  package.
 Homepage: http://wiki.mozilla.org/XUL:Lib_XUL
