=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,9 @@
 
 # Construct GRE_VERSION from the first two digits in GRE_MILESTONE
 GRE_VERSION := $(subst ~, ,$(subst ., ,$(GRE_MILESTONE)))
+export JS_SO_VERSION := $(firstword $(GRE_VERSION))d
 export GRE_VERSION := $(firstword $(GRE_VERSION)).$(word 2,$(GRE_VERSION))
 
-SO_VERSION := $(shell awk -F'[\t =]+' '$$1 == "SO_VERSION" {print $$2}' js/src/Makefile.in)
 # Last version in debian/changelog
 DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *// p')
 # Debian part of the above version (anything after the last dash)
@@ -69,6 +69,10 @@
 	CFLAGS += -D__ARM_PCS
 endif
 
+ifeq (8.0_sparc,$(GRE_MILESTONE)_$(DEB_BUILD_ARCH))
+	CONFIGURE_FLAGS += --disable-methodjit
+endif
+
 ifneq (,$(filter ia64,$(DEB_BUILD_ARCH)))
 	CONFIGURE_FLAGS += --enable-optimize=-O2
 endif
@@ -100,12 +104,13 @@
 
 IN_FILES := $(wildcard debian/*.in debian/dh/*.in)
 define preprocess
-$(subst SO_VERSION,$(SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=))): $(1)
-PREPROCESSED_FILES += $(subst SO_VERSION,$(SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
+$(subst JS_SO_VERSION,$(JS_SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=))): $(1)
+PREPROCESSED_FILES += $(subst JS_SO_VERSION,$(JS_SO_VERSION),$(subst GRE_VERSION,$(GRE_VERSION),$(1:.in=)))
 endef
 $(foreach f,$(IN_FILES),$(eval $(call preprocess, $(f))))
 
 GENERATED_FILES += $(filter-out debian/control,$(PREPROCESSED_FILES))
+debian/control: debian/rules debian/changelog
 
 ifeq ($(shell lsb_release -sc),lenny)
 DICT_DIR := /usr/share/myspell/dicts
@@ -114,7 +119,7 @@
 endif
 
 $(PREPROCESSED_FILES):
-	sed $(foreach var,GRE_VERSION SO_VERSION DICT_DIR,-e 's,##$(var)##,$($(var)),g' )$^ > $@
+	python config/Preprocessor.py --marker % -Fsubstitution $(foreach var,GRE_VERSION JS_SO_VERSION DICT_DIR,-D$(var)=$($(var)) )$< > $@
 
 %/Makefile: DIR=$(firstword $(subst /, ,$@))
 %/Makefile:
@@ -171,26 +176,26 @@
 stamps/build-xulrunner-extra:: stamps/build-xulrunner build-xulrunner/debian/extra-stuff/Makefile
 	$(MAKE) -C build-xulrunner/debian/extra-stuff
 
-stamps/configure-iceweasel:: stamps/build-xulrunner-extra
+stamps/configure-browser:: stamps/build-xulrunner-extra
 	MOZCONFIG=$(CURDIR)/debian/iceweasel.mozconfig \
-	dh_auto_configure --builddirectory=build-iceweasel -- $(CONFIGURE_FLAGS) \
+	dh_auto_configure --builddirectory=build-browser -- $(CONFIGURE_FLAGS) \
 		--with-libxul-sdk=$(CURDIR)/build-xulrunner/dist \
 		--with-system-libxul --with-system-nspr --with-system-nss
-	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' build-iceweasel/config/autoconf.mk
-
-stamps/build-iceweasel:: stamps/configure-iceweasel
-	dh_auto_build --builddirectory=build-iceweasel
-
-build-iceweasel/%/filelist: stamps/build-iceweasel build-iceweasel/%/Makefile
-	rm -rf build-iceweasel/$*/dist
-	$(MAKE) -C build-iceweasel/$* MOZ_CHROME_FILE_FORMAT=flat DIST=$(CURDIR)/build-iceweasel/$*/dist BRANDING_TEST=1
-	cd build-iceweasel/$*/dist/bin && find -type f | sort > $(CURDIR)/$@
-
-stamps/build-check-iceweasel:: build-iceweasel/$(OFFICIAL_BRANDING)/filelist build-iceweasel/debian/branding/filelist
+	sed -i '/^OS_LDFLAGS/s|=|& $(MAIN_LDFLAGS)|' build-browser/config/autoconf.mk
+
+stamps/build-browser:: stamps/configure-browser
+	dh_auto_build --builddirectory=build-browser
+
+build-browser/%/filelist: stamps/build-browser build-browser/%/Makefile
+	rm -rf build-browser/$*/dist
+	$(MAKE) -C build-browser/$* MOZ_CHROME_FILE_FORMAT=flat DIST=$(CURDIR)/build-browser/$*/dist BRANDING_TEST=1
+	cd build-browser/$*/dist/bin && find -type f | sort > $(CURDIR)/$@
+
+stamps/build-check-browser:: build-browser/$(OFFICIAL_BRANDING)/filelist build-browser/debian/branding/filelist
 # Ensure the iceweasel branding contains everything it's supposed to
 	diff $^
 
-override_dh_auto_build: stamps/build-check-iceweasel
+override_dh_auto_build: stamps/build-check-browser
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 include debian/test.mk
@@ -198,10 +203,10 @@
 
 override_dh_auto_clean::
 	rm -f MPL
-	rm -f $(GENERATED_FILES)
+	rm -f $(GENERATED_FILES) config/Expression.py[co]
 	rm -rf stamps
 
-	dh_auto_clean --builddirectory=build-iceweasel
+	dh_auto_clean --builddirectory=build-browser
 	dh_auto_clean --builddirectory=build-xulrunner
 	find . -name "*.pyc" | xargs rm -f
 
@@ -211,9 +216,6 @@
 		done; \
 	done
 
-override_dh_auto_install: stamps/install-iceweasel stamps/install-xulrunner
+override_dh_auto_install: stamps/install-browser stamps/install-xulrunner
 
 stamps/install-xulrunner:: build-xulrunner/debian/installer/package-manifest
-	dh_auto_install --sourcedirectory=build-xulrunner/xulrunner/installer -- \
-		MOZ_PKG_MANIFEST=$(CURDIR)/$< \
-		MOZ_NONLOCALIZED_PKG_LIST="xpcom xulrunner debian" \
