## iceweasel 9.0~b4

=== debian/changelog ===
iceweasel (9.0~b4-1) experimental; urgency=low

  * New upstream beta release.
  * debian/test.mk: Remove hashbang.
  * debian/rules: Avoid python storying .pyc files.
  * debian/rules, debian/make.mk: Add helper rules to dump variables set in
    debian/rules.
  * debian/rules, debian/upstream.mk, debian/repack.py,
    debian/latest_nightly.py: Add helper rules to download and filter source
    tarballs.
  * debian/repack.py:
    - Remove a filter pattern that was used when testing repack.py.
    - Dump a list of unused patterns after repack.py is done filtering.
  * debian/source.filter:
    - Don't remove files that aren't there anymore.
    - Don't remove the 7zstub sources, which are LGPL.
    - Remove redundant filter entries.

 -- Mike Hommey <glandium@debian.org>  Fri, 02 Dec 2011 10:04:03 +0100

iceweasel (9.0~b3-1) experimental; urgency=low

  * New upstream beta release.

 -- Mike Hommey <glandium@debian.org>  Fri, 25 Nov 2011 08:05:14 +0100

iceweasel (9.0~b2-2) experimental; urgency=low

  * debian/check_resources.py: Make check_resources.py error out when an
    override is unmatched.

  * js/src/assembler/assembler/ARMAssembler.cpp:
    Fix ARMAssembler::getOp2RegScale some more on < ARMv5. bz#703531.
  * js/src/methodjit/TrampolineSparc.s: Avoid R_SPARC_WDISP22 relocation
    in TrampolineSparc.s. bz#703842.
  * js/src/jsgc.cpp: Avoid invalid conversion from 'const size_t*' to
    'const jsuword*' on s390. bz#703833.

 -- Mike Hommey <glandium@debian.org>  Sat, 19 Nov 2011 10:39:18 +0100

iceweasel (9.0~b2-1) experimental; urgency=low

  * New upstream beta release.
  * debian/check_resources.*, debian/rules: Check that resources:// urls are
    appropriately used.

  * js/src/methodjit/MethodJIT.cpp: Don't require 16 bytes alignment for
    VMFrame on sparc. bz#698923.
  * ipc/chromium/src/base/dir_reader_posix.h: Fix GNU/non-Linux failure to
    build.
  * js/src/assembler/assembler/ARMAssembler.cpp:
    Fix ARMAssembler::getOp2RegScale on < ARMv5. bz#703531.
  * js/src/jscompartment.cpp: Fix build failure on platforms without YARR JIT.
    bz#703534.
  * browser/devtools/highlighter/TreePanel.jsm: Use resource:// urls
    appropriately.

 -- Mike Hommey <glandium@debian.org>  Fri, 18 Nov 2011 15:07:56 +0100

iceweasel (9.0~b1-1) experimental; urgency=low

  * New upstream beta release.
  * debian/control*:
    - Build dependency on libidl-dev is not required anymore.
    - Bump libsqlite3-dev build dependency.
    - Bump libnss3-dev build dependency.
  * debian/xulrunner-dev.install.in: Adapt to upstream changes.

 -- Mike Hommey <glandium@debian.org>  Fri, 11 Nov 2011 09:45:20 +0100
