=== debian/rules ===
--- 
+++ 
@@ -1,43 +1,17 @@
 #!/usr/bin/make -f
 ifeq (,$(shell dh_testdir || echo no))
+include debian/make.mk
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_BUILD_ARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
+PYTHON := python -B
+
+PRODUCT := browser
+PRODUCT_NAME := firefox
+include debian/upstream.mk
+
 OFFICIAL_BRANDING := browser/branding/official
-
-# The VERSION_FILTER transforms upstream version patterns to versions
-# useable in debian/changelog. Versions are to be transformed as follows:
-# 4.0      -> 4.0
-# 4.0pre   -> 4.0~pre
-# 4.0b5    -> 4.0~b5
-# 4.0b5pre -> 4.0~b5~pre
-# That should ensure the proper ordering
-VERSION_FILTER := sed 's/\([0-9]\)\([a-z]\)/\1~\2/g'
-UPSTREAM_VERSION := $(shell cat browser/config/version.txt)
-GRE_MILESTONE := $(shell config/milestone.pl --topsrcdir .| $(VERSION_FILTER))
-
-# Construct GRE_VERSION from the first two digits in GRE_MILESTONE
-GRE_VERSION := $(subst ~, ,$(subst ., ,$(GRE_MILESTONE)))
-export JS_SO_VERSION := $(firstword $(GRE_VERSION))d
-export GRE_VERSION := $(firstword $(GRE_VERSION)).$(word 2,$(GRE_VERSION))
-
-# Last version in debian/changelog
-DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n 's/^Version: *// p')
-# Debian part of the above version (anything after the last dash)
-DEBIAN_RELEASE := $(lastword $(subst -, ,$(DEBIAN_VERSION)))
-# Upstream part of the debian/changelog version (anything before the last dash)
-UPSTREAM_RELEASE := $(DEBIAN_VERSION:%-$(DEBIAN_RELEASE)=%)
-# Aurora builds have the build id in the upstream part of the debian/changelog version
-export MOZ_BUILD_DATE := $(word 2,$(subst +, ,$(UPSTREAM_RELEASE)))
-UPSTREAM_RELEASE := $(firstword $(subst +, ,$(UPSTREAM_RELEASE)))
-
-# Check if the version in debian/changelog matches actual upstream version
-# as VERSION_FILTER transforms it.
-FILTERED_UPSTREAM_VERSION := $(shell echo $(UPSTREAM_VERSION) | $(VERSION_FILTER))
-ifneq ($(FILTERED_UPSTREAM_VERSION),$(firstword $(subst ~b, ,$(UPSTREAM_RELEASE))))
-$(error Upstream version in debian/changelog ($(UPSTREAM_RELEASE)) doesn't match actual upstream version ($(FILTERED_UPSTREAM_VERSION)))
-endif
 
 # Betas and Releases need to set MOZ_UA_BUILDID
 ifeq (,$(word 2,$(subst ~a, ,$(UPSTREAM_RELEASE))))
@@ -119,7 +93,7 @@
 endif
 
 $(PREPROCESSED_FILES):
-	python config/Preprocessor.py --marker % -Fsubstitution $(foreach var,GRE_VERSION JS_SO_VERSION DICT_DIR,-D$(var)=$($(var)) )$< > $@
+	$(PYTHON) config/Preprocessor.py --marker % -Fsubstitution $(foreach var,GRE_VERSION JS_SO_VERSION DICT_DIR,-D$(var)=$($(var)) )$< > $@
 
 %/Makefile: DIR=$(firstword $(subst /, ,$@))
 %/Makefile:
@@ -191,11 +165,14 @@
 	$(MAKE) -C build-browser/$* MOZ_CHROME_FILE_FORMAT=flat DIST=$(CURDIR)/build-browser/$*/dist BRANDING_TEST=1
 	cd build-browser/$*/dist/bin && find -type f | sort > $(CURDIR)/$@
 
-stamps/build-check-browser:: build-browser/$(OFFICIAL_BRANDING)/filelist build-browser/debian/branding/filelist
+stamps/build-check-branding:: build-browser/$(OFFICIAL_BRANDING)/filelist build-browser/debian/branding/filelist
 # Ensure the iceweasel branding contains everything it's supposed to
 	diff $^
 
-override_dh_auto_build: stamps/build-check-browser
+stamps/build-check-resources:: stamps/build-xulrunner stamps/build-browser
+	$(PYTHON) debian/check_resources.py -a build-browser/dist/bin -x build-xulrunner/dist/bin
+
+override_dh_auto_build: stamps/build-check-branding stamps/build-check-resources
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 include debian/test.mk
@@ -219,3 +196,36 @@
 override_dh_auto_install: stamps/install-browser stamps/install-xulrunner
 
 stamps/install-xulrunner:: build-xulrunner/debian/installer/package-manifest
+	dh_auto_install --sourcedirectory=build-xulrunner/xulrunner/installer -- \
+		MOZ_APP_BASE_VERSION=$(GRE_VERSION) \
+		MOZ_PKG_MANIFEST=$(CURDIR)/$< \
+		MOZ_NONLOCALIZED_PKG_LIST="xpcom xulrunner debian" \
+		MOZ_LOCALIZED_PKG_LIST=en-US
+
+	mv debian/tmp/usr/bin/xulrunner debian/tmp/usr/bin/xulrunner-$(GRE_VERSION)
+
+	# Fixup permissions
+	find debian/tmp/usr/share debian/tmp/usr/include -type f -print0 | xargs -0 chmod 644
+
+	# Replace some installed files by symlinks
+	for d in lib bin; do \
+		cd "$(CURDIR)/debian/tmp/usr/lib/xulrunner-devel-$(GRE_VERSION)/sdk/$$d"; \
+		for f in *; do \
+			if [ -f "$(CURDIR)/debian/tmp/usr/lib/xulrunner-$(GRE_VERSION)/$$f" ]; then \
+				rm -f $$f ; ln -s /usr/lib/xulrunner-$(GRE_VERSION)/$$f $$f; \
+			fi; \
+		done; \
+	done
+
+	dh_auto_install --sourcedirectory=build-xulrunner/js/src -- prefix=/usr MODULE=mozjs FORCE_STATIC_LIB=
+	cp -r debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/vm debian/tmp/usr/include/mozjs
+	rm debian/tmp/usr/bin/js-config
+	find debian/tmp/usr/include/mozjs -type f -printf %P\\n | while read f; do \
+		file=$$(echo debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$f); \
+		rm $$file; \
+		ln -s /usr/include/mozjs/$$f $$file; \
+	done
+	for f in /usr/include/nspr/* /usr/include/nss/*; do \
+		ln -s $$f debian/tmp/usr/include/xulrunner-$(GRE_VERSION)/$$(basename $$f); \
+	done
+	for h in $$(grep -l -r EXPORTS build-xulrunner/media | grep Makefile$ | \
